# CyberSource.Ptsv2paymentreferencesDeviceInformation

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ipAddress** | **String** | IP address of the customer.  #### Used by **Authorization, Capture, and Credit** Optional field.  | [optional] 
**deviceType** | **String** | The device type at the client side. | [optional] 
**id** | **String** | ../../../commons/definitions/device.yaml#/properties/id | [optional] 
**userAgent** | **String** | Customer's browser as identified from the HTTP header data. For example, `Mozilla` is the value that identifies the Netscape browser.  | [optional] 


